Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class AddressBookEntry

    java.lang.Object
      com.compoze.domino.AbstractItem
          com.compoze.domino.AbstractDocument
              com.compoze.domino.AddressEntry
                  com.compoze.domino.AddressBookEntry

All Implemented Interfaces:
  java.io.Serializable

public class AddressBookEntry
extends AddressEntry
implements java.io.Serializable

This class is a Domino address book entry. Address book entry instances are obtained from the `AddressBook` class. Methods that access properites on the class require that the properties were loaded beforehand, when the address book entry was initially retrieved. Any methods in this class that begin with the string `server` make a query to the server.

See Also:
  Serialized Form

Field Summary
`static PropertyKey[]` | `ALL_PROPS` Contains an array of all of the properties available on a address book entry.

Fields inherited from class com.compoze.domino.AbstractItem
`m_props, m_session`

Method Summary
`java.lang.String` | `getAddress()` Gets the address of the address book entry.
`java.lang.String` | `getAssistant()` Gets the assistant of the address book entry.
`AttachmentInfo` | `getAttachmentInfo(int iIndex)` You cannot retrieve attachment info from address book entries.
`AttachmentInfo[]` | `getAttachmentInfoArray()` You cannot retrieve attachment info from address book entries.
`java.lang.String` | `getChildren()` Gets the children of the address book entry.
`java.lang.String` | `getCompanyName()` Gets the company name of the address book entry.
`java.lang.String` | `getDepartment()` Gets the department of the address book entry.
`java.lang.String` | `getDisplayName()` Gets the display name of the address book entry.
`java.lang.String` | `getEmailAddress()` Gets the email address of the address book entry.
`java.lang.String` | `getEmployeeID()` Gets the employee ID of the address book entry.
`java.lang.String` | `getFirstName()` Gets the first name of the address book entry.
`FreeBusy` | `getFreeBusy()` Gets the free/busy information.
`java.lang.String` | `getFullName()` Gets the full name of the address book entry.
`java.lang.String` | `getHomeCity()` Gets the home city of the address book entry.
`java.lang.String` | `getHomeCountry()` Gets the home country of the address book entry.
`java.lang.String` | `getHomeFaxPhoneNumber()` Gets the home fax phone number of the address book entry.
`java.lang.String` | `getHomePhoneNumber()` Gets the home phone number of the address book entry.
`java.lang.String` | `getHomeState()` Gets the home state of the address book entry.
`java.lang.String` | `getHomeStreetAddress()` Gets the home street address of the address book entry.
`java.lang.String` | `getHomeZip()` Gets the home zip of the address book entry.
`java.lang.String` | `getJobTitle()` Gets the job title of the address book entry.
`java.lang.String` | `getLastName()` Gets the last name of the address book entry.
`java.lang.String` | `getLocation()` Gets the location of the address book entry.
`java.lang.String` | `getMiddleInitial()` Gets the middle initial of the address book entry.
`java.lang.String` | `getOfficeCity()` Gets the office city of the address book entry.
`java.lang.String` | `getOfficeCountry()` Gets the office country of the address book entry.
`java.lang.String` | `getOfficeFaxPhoneNumber()` Gets the office fax phone number of the address book entry.
`java.lang.String` | `getOfficeNumber()` Gets the office number of the address book entry.
`java.lang.String` | `getOfficePhoneNumber()` Gets the office phone number of the address book entry.
`java.lang.String` | `getOfficeState()` Gets the office state of the address book entry.
`java.lang.String` | `getOfficeStreetAddress()` Gets the office street address of the address book entry.
`java.lang.String` | `getOfficeZip()` Gets the office zip of the address book entry.
`java.lang.String` | `getPager()` Gets the pager of the address book entry.
`java.lang.String` | `getSuffix()` Gets the suffix of the address book entry, for example 'Jr', 'Sr', 'III'.
`java.lang.String` | `getTitle()` Gets the title of the address book entry.
`void` | `serverAddAttachment(java.lang.String sName, javax.activation.DataHandler handler)` You cannot add attachments to address book entries.
`void` | `serverDeleteAttachment(int iIndex)` You cannot delete attachments from address book entries.
`void` | `serverUpdate()` Address book entries cannot be updated.

Methods inherited from class com.compoze.domino.AbstractDocument
`getAttachmentCount, getDateCreated, getDateCreatedString, getDateModified, getDateModifiedString, getDocumentType, getEmbeddedImageCount, getEmbeddedImageInfo, getEmbeddedImageInfoArray, getID, getParentID, getSize, getSizeInKilos, hasAttachment, serverCopyTo, serverMoveTo`

Methods inherited from class com.compoze.domino.AbstractItem
`get, getBoolean, getDate, getDateArray, getDouble, getInt, getPropertyKeys, getString, getStringArray, getUpdatedPropertyValues, set, setBoolean, setDate, setDouble, setInt, setString, setStringArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL_PROPS

    public static final PropertyKey[] ALL_PROPS

  Contains an array of all of the properties available on a address book entry. Although this can be used when specifying property keys to retrieve, it's preferable to only specify the keys that are required as the number of properties that are pulled back from the server has a direct impact on performance.

Method Detail

### getMiddleInitial

    public java.lang.String getMiddleInitial()
                                      throws DominoException

  Gets the middle initial of the address book entry.

  Returns:
    the middle initial of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.MIDDLE_INITIAL`

### getSuffix

    public java.lang.String getSuffix()
                               throws DominoException

  Gets the suffix of the address book entry, for example 'Jr', 'Sr', 'III'.

  Returns:
    the suffix of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.SUFFIX`, `Suffix`

### getTitle

    public java.lang.String getTitle()
                              throws DominoException

  Gets the title of the address book entry.

  Returns:
    the title of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.TITLE`, `Title`

### getDisplayName

    public java.lang.String getDisplayName()
                                    throws DominoException

  Gets the display name of the address book entry. This will return the full name (if available) or a combination of the first, middle and last name, depending on what is set and available.

  Specified by:
    `getDisplayName` in class `AddressEntry`
  Returns:
    the display name of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.FIRST_NAME`, `PropertyKey.LAST_NAME`, `PropertyKey.MIDDLE_INITIAL`, `PropertyKey.FULL_NAME`, `PropertyKey.TITLE`, `PropertyKey.SUFFIX`

### getFullName

    public java.lang.String getFullName()
                                 throws DominoException

  Gets the full name of the address book entry.

  Returns:
    the full name of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.FULL_NAME`

### getLastName

    public java.lang.String getLastName()
                                 throws DominoException

  Gets the last name of the address book entry.

  Returns:
    the last name of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.LAST_NAME`

### getFirstName

    public java.lang.String getFirstName()
                                  throws DominoException

  Gets the first name of the address book entry.

  Returns:
    the first name of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.FIRST_NAME`

### getAddress

    public java.lang.String getAddress()
                                throws DominoException

  Gets the address of the address book entry.

  Specified by:
    `getAddress` in class `AddressEntry`
  Returns:
    the address of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.FULL_NAME`

### getEmailAddress

    public java.lang.String getEmailAddress()
                                     throws DominoException

  Gets the email address of the address book entry.

  Returns:
    the email address of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.INTERNET_ADDRESS`

### getFreeBusy

    public FreeBusy getFreeBusy()
                         throws DominoException

  Gets the free/busy information.

  Returns:
    the free/busy information
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.FREE_BUSY`

### getAssistant

    public java.lang.String getAssistant()
                                  throws DominoException

  Gets the assistant of the address book entry.

  Returns:
    the assistant of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.ASSISTANT`

### getChildren

    public java.lang.String getChildren()
                                 throws DominoException

  Gets the children of the address book entry.

  Returns:
    the children of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.CHILDREN`

### getCompanyName

    public java.lang.String getCompanyName()
                                    throws DominoException

  Gets the company name of the address book entry.

  Returns:
    the company name of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.COMPANY_NAME`

### getDepartment

    public java.lang.String getDepartment()
                                   throws DominoException

  Gets the department of the address book entry.

  Returns:
    the department of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.DEPARTMENT`

### getLocation

    public java.lang.String getLocation()
                                 throws DominoException

  Gets the location of the address book entry.

  Returns:
    the location of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.LOCATION`

### getJobTitle

    public java.lang.String getJobTitle()
                                 throws DominoException

  Gets the job title of the address book entry.

  Returns:
    the job title of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.JOB_TITLE`

### getEmployeeID

    public java.lang.String getEmployeeID()
                                   throws DominoException

  Gets the employee ID of the address book entry.

  Returns:
    the employee ID of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.EMPLOYEE_ID`

### getOfficeStreetAddress

    public java.lang.String getOfficeStreetAddress()
                                            throws DominoException

  Gets the office street address of the address book entry.

  Returns:
    the office street address of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.OFFICE_STREET_ADDRESS`

### getOfficeCity

    public java.lang.String getOfficeCity()
                                   throws DominoException

  Gets the office city of the address book entry.

  Returns:
    the office city of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.OFFICE_CITY`

### getOfficeState

    public java.lang.String getOfficeState()
                                    throws DominoException

  Gets the office state of the address book entry.

  Returns:
    the office state of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.OFFICE_STATE`

### getOfficeZip

    public java.lang.String getOfficeZip()
                                  throws DominoException

  Gets the office zip of the address book entry.

  Returns:
    the office zip of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.OFFICE_ZIP`

### getOfficeCountry

    public java.lang.String getOfficeCountry()
                                      throws DominoException

  Gets the office country of the address book entry.

  Returns:
    the office country of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.OFFICE_COUNTRY`

### getPager

    public java.lang.String getPager()
                              throws DominoException

  Gets the pager of the address book entry.

  Returns:
    the pager of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.PAGER`

### getOfficeNumber

    public java.lang.String getOfficeNumber()
                                     throws DominoException

  Gets the office number of the address book entry.

  Returns:
    the office number of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.OFFICE_NUMBER`

### getOfficePhoneNumber

    public java.lang.String getOfficePhoneNumber()
                                          throws DominoException

  Gets the office phone number of the address book entry.

  Returns:
    the office phone number of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.OFFICE_PHONE_NUMBER`

### getOfficeFaxPhoneNumber

    public java.lang.String getOfficeFaxPhoneNumber()
                                             throws DominoException

  Gets the office fax phone number of the address book entry.

  Returns:
    the office fax phone number of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.OFFICE_FAX_PHONE_NUMBER`

### getHomeStreetAddress

    public java.lang.String getHomeStreetAddress()
                                          throws DominoException

  Gets the home street address of the address book entry.

  Returns:
    the home street address of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HOME_STREET_ADDRESS`

### getHomeCity

    public java.lang.String getHomeCity()
                                 throws DominoException

  Gets the home city of the address book entry.

  Returns:
    the home city of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HOME_CITY`

### getHomeState

    public java.lang.String getHomeState()
                                  throws DominoException

  Gets the home state of the address book entry.

  Returns:
    the home state of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HOME_STATE`

### getHomeZip

    public java.lang.String getHomeZip()
                                throws DominoException

  Gets the home zip of the address book entry.

  Returns:
    the home zip of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HOME_ZIP`

### getHomeCountry

    public java.lang.String getHomeCountry()
                                    throws DominoException

  Gets the home country of the address book entry.

  Returns:
    the home country of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HOME_COUNTRY`

### getHomePhoneNumber

    public java.lang.String getHomePhoneNumber()
                                        throws DominoException

  Gets the home phone number of the address book entry.

  Returns:
    the home phone number of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HOME_PHONE_NUMBER`

### getHomeFaxPhoneNumber

    public java.lang.String getHomeFaxPhoneNumber()
                                           throws DominoException

  Gets the home fax phone number of the address book entry.

  Returns:
    the home fax phone number of the address book entry
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HOME_FAX_PHONE_NUMBER`

### getAttachmentInfo

    public AttachmentInfo getAttachmentInfo(int iIndex)
                                     throws DominoException

  You cannot retrieve attachment info from address book entries. This methods throws `UnsupportedOperationException`.

  Overrides:
    `getAttachmentInfo` in class `AbstractDocument`
  Parameters:
    `iIndex` - the attachment index
  Returns:
    the attachment info or `null` if attachment index does not exist
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.ATTACHMENT_INFO`

### getAttachmentInfoArray

    public AttachmentInfo[] getAttachmentInfoArray()
                                            throws DominoException

  You cannot retrieve attachment info from address book entries. This methods throws `UnsupportedOperationException`.

  Overrides:
    `getAttachmentInfoArray` in class `AbstractDocument`
  Returns:
    an array of attachment info or an empty array if the document has no attachments
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.ATTACHMENT_INFO`

### serverAddAttachment

    public void serverAddAttachment(java.lang.String sName,
                                    javax.activation.DataHandler handler)
                             throws DominoException

  You cannot add attachments to address book entries. This methods throws `UnsupportedOperationException`.

  Overrides:
    `serverAddAttachment` in class `AbstractDocument`
  Parameters:
    `sName` - the name of the attachment
    `handler` - a handler that can supply the attachment data
  Throws:
    `DominoException` - an error occurs while connecting to the Compoze Domino Service. An `AttachmentSizeLimitException` is thrown if the attachment exceeds the attachment setting limit in the Compoze Domino Service. Use `instanceof` to determine if this exception is thrown.

### serverDeleteAttachment

    public void serverDeleteAttachment(int iIndex)
                                throws DominoException

  You cannot delete attachments from address book entries. This methods throws `UnsupportedOperationException`.

  Overrides:
    `serverDeleteAttachment` in class `AbstractDocument`
  Parameters:
    `iIndex` - the index of the attachment to delete
  Throws:
    `DominoException`

### serverUpdate

    public void serverUpdate()
                      throws DominoException

  Address book entries cannot be updated. This method does nothing.

  Overrides:
    `serverUpdate` in class `AbstractDocument`
  Throws:
    `DominoException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.